Index: code/branches/FICN/src/orxonox/weapon/CMakeLists.txt
===================================================================
--- code/branches/FICN/src/orxonox/weapon/CMakeLists.txt	(revision 555)
+++ 	(revision )
@@ -1,16 +1,0 @@
-PROJECT(Orxonox)
-
-SET( WEAPON_SRC_FILES
-  ammunition_dump.cc
-  barrel_gun.cc
-  base_weapon.cc
-  bullet.cc
-  bullet_manager.cc
-  weapon_station.cc
-)
-
-IF(WIN32)
-  ADD_LIBRARY(weapon ${WEAPON_SRC_FILES})
-ELSE(WIN32)
-  ADD_LIBRARY(weapon SHARED ${WEAPON_SRC_FILES})
-ENDIF(WIN32)
Index: code/branches/FICN/src/orxonox/weapon/ammunition_dump.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/ammunition_dump.cc	(revision 555)
+++ 	(revision )
@@ -1,109 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#include "orxonox/run_manager.h"
-
-#include "ammunition_dump.h"
-
-
-namespace orxonox {
-namespace weapon {
-
-  AmmunitionDump::AmmunitionDump()
-    : numberOfAmmos_(RunManager::getSingletonPtr()->getNumberOfAmmos()),
-      stock_(new int[numberOfAmmos_]),
-      capacity_(new int[numberOfAmmos_])
-  {
-    for (int i = 0; i < numberOfAmmos_; i++)
-    {
-      stock_[i] = 0;
-      capacity_[i] = 0;
-    }
-  }
-
-
-  AmmunitionDump::~AmmunitionDump()
-  {
-    if (stock_)
-      delete stock_;
-    if (capacity_)
-      delete capacity_;
-  }
-
-  void AmmunitionDump::setDumpSize(const Ogre::String &name, int size)
-  {
-    if (size < 0)
-      return;
-    int id = RunManager::getSingletonPtr()->getAmmunitionID(name);
-    if (id == -1)
-      return;
-    capacity_[id] = size;
-  }
-
-
-  int AmmunitionDump::store(const Ogre::String &name, int quantity)
-  {
-    int id = RunManager::getSingletonPtr()->getAmmunitionID(name);
-    if (id == -1)
-      return quantity;
-    stock_[id] += quantity;
-    if (stock_[id] > capacity_[id])
-    {
-      quantity = capacity_[id] - stock_[id];
-      stock_[id] = capacity_[id];
-      return quantity;
-    }
-    else
-      return 0;
-  }
-
-
-  int AmmunitionDump::getAmmunition(const Ogre::String &name, int quantity)
-  {
-    int id = RunManager::getSingletonPtr()->getAmmunitionID(name);
-    if (id == -1)
-      return 0;
-    if (stock_[id] >= quantity)
-      stock_[id] -= quantity;
-    else
-    {
-      quantity = stock_[id];
-      stock_[id] = 0;
-    }
-    return quantity;
-  }
-
-
-  int AmmunitionDump::getStockSize(const Ogre::String &name)
-  {
-    int id = RunManager::getSingletonPtr()->getAmmunitionID(name);
-    if (id = -1)
-      return -1;
-    return stock_[id];
-  }
-}
-}
Index: code/branches/FICN/src/orxonox/weapon/ammunition_dump.h
===================================================================
--- code/branches/FICN/src/orxonox/weapon/ammunition_dump.h	(revision 555)
+++ 	(revision )
@@ -1,66 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-
-#ifndef AmmunitionDump_H
-#define AmmunitionDump_H
-
-#include "OgrePrerequisites.h"
-
-#include "orxonox/orxonox_prerequisites.h"
-
-
-namespace orxonox {
-namespace weapon {
-
-  class AmmunitionDump
-  {
-  public:
-    AmmunitionDump();
-	  ~AmmunitionDump();
-
-    void setDumpSize(const Ogre::String &name, int size);
-
-    int store(const Ogre::String &name, int quantiy);
-
-    int getAmmunition(const Ogre::String &name, int quantity);
-
-    int getStockSize(const Ogre::String &name);
-
-  protected:
-    int numberOfAmmos_;
-    int *stock_;
-    int *capacity_;
-
-  protected:
-
-  };
-
-}
-}
-
-#endif /* AmmunitionDump_H */
Index: code/branches/FICN/src/orxonox/weapon/barrel_gun.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/barrel_gun.cc	(revision 555)
+++ 	(revision )
@@ -1,141 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OgreMath.h"
-#include "OgreVector3.h"
-#include "OgreStringConverter.h"
-#include "OgreSceneNode.h"
-#include "OgreEntity.h"
-#include "OgreSceneManager.h"
-
-#include "orxonox/inertial_node.h"
-
-#include "bullet.h"
-#include "bullet_manager.h"
-#include "ammunition_dump.h"
-#include "base_weapon.h"
-
-#include "barrel_gun.h"
-
-
-namespace orxonox {
-namespace weapon {
-  using namespace Ogre;
-
-  BarrelGun::BarrelGun(InertialNode *node, AmmunitionDump *ammoDump)
-        : BaseWeapon(node, ammoDump)
-  {
-    name_ = "Barrel Gun";
-    primaryFirePower_ = 100;
-    secondaryFirePower_ = 500;
-    primaryFiringRate_ = 10;
-    secondaryFiringRate_ = 2;
-    primaryBulletSpeed_ = 1000;
-    secondaryBulletSpeed_ = 500;
-    magazineSize_ = 25;
-  }
-
-
-  BarrelGun::~BarrelGun()
-  {
-  }
-
-
-  void BarrelGun::primaryFire()
-  {
-    if (leftAmmo_ < 1)
-    {
-      currentState_ = IDLE;
-      return;
-    }
-
-    SceneNode *temp = sceneMgr_->getRootSceneNode()->createChildSceneNode(
-          node_->getSceneNode()->getWorldPosition(),
-          node_->getSceneNode()->getWorldOrientation());
-
-    Entity* bulletEntity = sceneMgr_->createEntity("BulletEntity"
-          + StringConverter::toString(bulletCounter_++), "Barrel.mesh");
-
-    Vector3 speed = (temp->getOrientation() * Vector3(0, 0, -1))
-          .normalisedCopy() * primaryBulletSpeed_;
-    speed += node_->getWorldSpeed();
-
-	  temp->setScale(Vector3(1, 1, 1) * 4);
-	  temp->yaw(Degree(-90));
-
-	  bulletManager_->addBullet(new Bullet(temp, bulletEntity, speed));
-
-    --leftAmmo_;
-  }
-
-
-  void BarrelGun::primaryFiring(unsigned int time)
-  {
-    if (time > (unsigned int)1000/primaryFiringRate_)
-    {
-      currentState_ = IDLE;
-    }
-  }
-
-
-
-  void BarrelGun::secondaryFire()
-  {
-    if (leftAmmo_ < 5)
-    {
-      currentState_ = IDLE;
-      return;
-    }
-
-    SceneNode *temp = sceneMgr_->getRootSceneNode()->createChildSceneNode(
-          node_->getSceneNode()->getWorldPosition(),
-          node_->getSceneNode()->getWorldOrientation());
-
-    Entity* bulletEntity = sceneMgr_->createEntity("BulletEntity"
-          + StringConverter::toString(bulletCounter_++), "Barrel.mesh");
-
-    Vector3 speed = (temp->getOrientation() * Vector3(0, 0, -1))
-          .normalisedCopy() * secondaryBulletSpeed_*0.5;
-    speed += node_->getWorldSpeed();
-
-	  temp->setScale(Vector3(1, 1, 1) * 10);
-	  temp->yaw(Degree(-90));
-
-	  bulletManager_->addBullet(new Bullet(temp, bulletEntity, speed));
-
-    leftAmmo_ -= 5;
-  }
-
-
-  void BarrelGun::secondaryFiring(unsigned int time)
-  {
-    if (time > (unsigned int)1000/secondaryFiringRate_)
-      currentState_ = IDLE;
-  }
-
-}
-}
Index: code/branches/FICN/src/orxonox/weapon/barrel_gun.h
===================================================================
--- code/branches/FICN/src/orxonox/weapon/barrel_gun.h	(revision 555)
+++ 	(revision )
@@ -1,65 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-
-#ifndef BARREL_GUN_H
-#define BARREL_GUN_H
-
-#include "OgrePrerequisites.h"
-
-#include "orxonox/orxonox_prerequisites.h"
-
-
-namespace orxonox {
-namespace weapon {
-
-  class BarrelGun : public BaseWeapon
-  {
- public:
-    BarrelGun(InertialNode*, AmmunitionDump*);
-	  virtual ~BarrelGun();
-
-    bool tick(unsigned long, Ogre::Real);
-
-  protected:
-    void primaryFire();
-
-    void primaryFiring(unsigned int);
-
-    void secondaryFire();
-
-    void secondaryFiring(unsigned int);
-
-  public:
-
-  protected:
-
-  };
-}
-}
-
-#endif /* BARREL_GUN_H */
Index: code/branches/FICN/src/orxonox/weapon/base_weapon.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/base_weapon.cc	(revision 555)
+++ 	(revision )
@@ -1,181 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OgreMath.h"
-#include "OgreVector3.h"
-#include "OgreStringConverter.h"
-#include "OgreSceneNode.h"
-#include "OgreEntity.h"
-#include "OgreSceneManager.h"
-
-#include "orxonox/inertial_node.h"
-#include "orxonox/run_manager.h"
-
-#include "bullet.h"
-#include "bullet_manager.h"
-#include "ammunition_dump.h"
-
-#include "base_weapon.h"
-
-
-namespace orxonox {
-namespace weapon {
-  using namespace Ogre;
-
-  BaseWeapon::BaseWeapon(InertialNode *node, AmmunitionDump *ammoDump)
-    : sceneMgr_(RunManager::getSingletonPtr()->getSceneManagerPtr()), node_(node),
-      bulletCounter_(0), primaryFireRequest_(false), currentState_(IDLE),
-      secondaryFireRequest_(false),
-      bulletManager_(RunManager::getSingletonPtr()->getBulletManagerPtr()),
-      secondaryFired_(false),
-      timeSinceNextActionAdded_(0), actionAdded_(false), nextAction_(NOTHING),
-      ammoDump_(ammoDump)
-  {
-    leftAmmo_ = 0;
-  }
-
-
-  BaseWeapon::~BaseWeapon()
-  {
-  }
-
-
-  bool BaseWeapon::addAction(const Action act)
-  {
-    if (nextAction_ == NOTHING)
-    {
-      nextAction_ = act;
-      actionAdded_ = true;
-      return true;
-    }
-    else
-      return false;
-  }
-
-
-  void BaseWeapon::primaryFireRequest()
-  {
-    primaryFireRequest_ = true;
-  }
-
-
-  void BaseWeapon::secondaryFireRequest()
-  {
-    secondaryFireRequest_ = true;
-  }
-
-
-  bool BaseWeapon::tick(unsigned long time, Real deltaTime)
-  {
-    // process action adder
-    if (actionAdded_)
-    {
-      timeSinceNextActionAdded_ = time;
-      actionAdded_ = false;
-    }
-
-    if (currentState_ != IDLE)
-    {
-      switch (currentState_)
-      {
-      case PRIMARY_FIRE:
-        primaryFiring((unsigned int)(time - actionStartTime_));
-        break;
-
-      case SECONDARY_FIRE:
-        secondaryFiring((unsigned int)(time - actionStartTime_));
-        break;
-
-      case RELOADING:
-        break;
-
-      case CHANGING_AMMO:
-        break;
-      }
-    }
-
-    if (currentState_ == IDLE)
-    {
-      // first, process next action
-      if (nextAction_ != NOTHING)
-      {
-        actionStartTime_ = time;
-        switch (nextAction_)
-        {
-        case RELOAD:
-          leftAmmo_ += ammoDump_->getAmmunition("Barrel", magazineSize_ - leftAmmo_);
-          break;
-
-        case CHANGE_AMMO:
-          break;
-
-        case SPECIAL:
-          break;
-
-        default:
-          break;
-        }
-
-        // pay attention when multithreaded!
-        nextAction_ = NOTHING;
-      }
-      else
-      {
-        // secondly, execute firing
-        if (primaryFireRequest_ && !(secondaryFired_ && secondaryFireRequest_))
-        {
-          actionStartTime_ = time;
-          currentState_ = PRIMARY_FIRE;
-          secondaryFired_ = false;
-          primaryFire();
-        }
-        else if (secondaryFireRequest_)
-        {
-          actionStartTime_ = time;
-          currentState_ = SECONDARY_FIRE;
-          secondaryFired_ = true;
-          secondaryFire();
-        }
-      }
-    }
-
-    primaryFireRequest_ = false;
-    secondaryFireRequest_ = false;
-
-    if (time - timeSinceNextActionAdded_ > nextActionValidityPeriod_)
-      nextAction_ = NOTHING;
-
-    return true;
-  }
-
-
-  int BaseWeapon::getAmmoState()
-  {
-    return leftAmmo_;
-  }
-}
-}
Index: code/branches/FICN/src/orxonox/weapon/base_weapon.h
===================================================================
--- code/branches/FICN/src/orxonox/weapon/base_weapon.h	(revision 555)
+++ 	(revision )
@@ -1,124 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-
-#ifndef BASE_WEAPON_H
-#define BASE_WEAPON_H
-
-#include "OgrePrerequisites.h"
-
-#include "orxonox/orxonox_prerequisites.h"
-
-
-namespace orxonox {
-namespace weapon {
-
-  class BaseWeapon
-  {
-  public:
-    enum Action {
-      NOTHING  = 0,
-      RELOAD   = 1,
-      CHANGE_AMMO  = 2,
-      SPECIAL  = 3
-    };
-
-  protected:
-    enum State {
-      IDLE = 0,
-      PRIMARY_FIRE = 1,
-      SECONDARY_FIRE = 2,
-      RELOADING = 3,
-      CHANGING_AMMO = 4,
-    };
-
-  public:
-    BaseWeapon(InertialNode*, AmmunitionDump*);
-	  virtual ~BaseWeapon();
-
-    bool addAction(const Action);
-
-    void primaryFireRequest();
-
-    void secondaryFireRequest();
-
-    int getAmmoState();
-
-    bool tick(unsigned long, Ogre::Real);
-
-  protected:
-    virtual void primaryFire() = 0;
-
-    virtual void primaryFiring(unsigned int) = 0;
-
-    virtual void secondaryFire() = 0;
-
-    virtual void secondaryFiring(unsigned int) = 0;
-
-  public:
-
-  protected:
-    Ogre::SceneManager *sceneMgr_;
-    //Ogre::SceneNode *node_;
-    InertialNode* node_;
-
-    int bulletCounter_;
-    BulletManager *bulletManager_;
-
-    AmmunitionDump *ammoDump_;
-
-    bool primaryFireRequest_;
-    bool secondaryFireRequest_;
-
-    unsigned long actionStartTime_;
-
-    State currentState_;
-    bool secondaryFired_;
-
-    Action nextAction_;
-    bool actionAdded_;
-    unsigned long timeSinceNextActionAdded_;
-    static const unsigned long nextActionValidityPeriod_ = 500;
-
-    // weapon properties
-    int leftAmmo_;
-    Ogre::String name_;
-    int primaryFirePower_;
-    int secondaryFirePower_;
-    int primaryFiringRate_;
-    int secondaryFiringRate_;
-    Ogre::Real primaryBulletSpeed_;
-    Ogre::Real secondaryBulletSpeed_;
-
-    int magazineSize_;
-
-  };
-
-}
-}
-
-#endif /* BASE_WEAPON_H */
Index: code/branches/FICN/src/orxonox/weapon/bullet.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/bullet.cc	(revision 555)
+++ 	(revision )
@@ -1,51 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OgreSceneNode.h"
-#include "OgreEntity.h"
-#include "OgreVector3.h"
-
-#include "bullet.h"
-
-
-namespace orxonox {
-namespace weapon {
-  using namespace Ogre;
-
-  Bullet::Bullet(SceneNode *node, Entity *entity, Vector3 speed)
-    : node_(node), entity_(entity), speed_(speed)
-  {
-	  node_->attachObject(entity_);
-  }
-
-
-  Bullet::~Bullet()
-  {
-  }
-
-}
-}
Index: code/branches/FICN/src/orxonox/weapon/bullet.h
===================================================================
--- code/branches/FICN/src/orxonox/weapon/bullet.h	(revision 555)
+++ 	(revision )
@@ -1,60 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-
-#ifndef BULLET_H
-#define BULLET_H
-
-#include "OgrePrerequisites.h"
-
-#include "orxonox/orxonox_prerequisites.h"
-
-
-namespace orxonox {
-namespace weapon {
-
-  class Bullet
-  {
-  public:
-	  Bullet(Ogre::SceneNode*, Ogre::Entity*, Ogre::Vector3);
-	  ~Bullet();
-
-  protected:
-
-  public:
-    Ogre::SceneNode *node_;
-	  Ogre::Entity *entity_;
-	  Ogre::Vector3 speed_;
-
-  protected:
-
-  };
-
-}
-}
-
-#endif /* BULLET_H */
Index: code/branches/FICN/src/orxonox/weapon/bullet_manager.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/bullet_manager.cc	(revision 555)
+++ 	(revision )
@@ -1,90 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OgreSceneManager.h"
-
-#include "bullet_manager.h"
-#include "bullet.h"
-
-
-namespace orxonox {
-namespace weapon {
-  using namespace Ogre;
-
-  BulletManager::BulletManager(SceneManager *sceneMgr) : sceneMgr_(sceneMgr),
-        bulletsIndex_(0), bulletsSize_(8)
-  {
-    bullets_ = new Bullet*[bulletsSize_];
-  }
-
-
-  BulletManager::~BulletManager()
-  {
-    // clean up the bullet list
-    if (bullets_)
-    {
-      for (int i = 0; i < bulletsIndex_; i++)
-        delete bullets_[i];
-      delete bullets_;
-    }
-  }
-
-
-  void BulletManager::addBullet(Bullet *bullet)
-  {
-    // resize array if neccessary (double the size then)
-    if (bulletsIndex_ >= bulletsSize_)
-    {
-      // redimension the array
-      Bullet **tempArray = new Bullet*[2*bulletsSize_];
-      for (int i = 0; i < bulletsSize_; i++)
-        tempArray[i] = bullets_[i];
-      bulletsSize_ *= 2;
-      delete bullets_;
-      bullets_ = tempArray;
-    }
-
-    // add the bullet to the list
-    bullets_[bulletsIndex_++] = bullet;
-  }
-
-
-  bool BulletManager::tick(unsigned long time, Real deltaTime)
-  {
-    // update the bullet positions
-    for (int i = 0; i < bulletsIndex_; i++)
-    {
-      bullets_[i]->node_->translate(bullets_[i]->speed_*deltaTime);
-      bullets_[i]->node_->yaw(Degree(deltaTime*100));
-      bullets_[i]->node_->roll(Degree(deltaTime*300));
-    }
-
-    return true;
-  }
-
-}
-}
Index: code/branches/FICN/src/orxonox/weapon/bullet_manager.h
===================================================================
--- code/branches/FICN/src/orxonox/weapon/bullet_manager.h	(revision 555)
+++ 	(revision )
@@ -1,66 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-
-#ifndef BULLET_MANAGER_H
-#define BULLET_MANAGER_H
-
-#include "OgrePrerequisites.h"
-
-#include "orxonox/orxonox_prerequisites.h"
-
-
-namespace orxonox {
-namespace weapon {
-
-  class BulletManager
-  {
-  public:
-    BulletManager(Ogre::SceneManager*);
-	  virtual ~BulletManager();
-
-    void addBullet(Bullet*);
-
-    bool tick(unsigned long, Ogre::Real);
-
-  protected:
-
-  public:
-    Ogre::SceneManager *sceneMgr_;
-
-  protected:
-    // Bullet array
-	  Bullet **bullets_;
-	  int bulletsSize_;
-	  int bulletsIndex_;
-
-  };
-
-}
-}
-
-#endif /* BULLET_MANAGER_H */
Index: code/branches/FICN/src/orxonox/weapon/weapon_station.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/weapon_station.cc	(revision 555)
+++ 	(revision )
@@ -1,80 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OgreMath.h"
-#include "OgreVector3.h"
-#include "OgreStringConverter.h"
-#include "OgreSceneNode.h"
-#include "OgreEntity.h"
-#include "OgreSceneManager.h"
-
-#include "base_weapon.h"
-
-#include "weapon_station.h"
-
-
-namespace orxonox {
-namespace weapon {
-  using namespace Ogre;
-
-  WeaponStation::WeaponStation(int stationSize)
-        : stationSize_(stationSize), lastActiveSlotIndex_(-1),
-        slots_(new BaseWeapon*[stationSize])
-  {
-  	//slots_ = new BaseWeapon*[stationSize];
-  }
-
-
-  WeaponStation::~WeaponStation()
-  {
-    if (slots_)
-      delete slots_;
-    // when factory available: delete weapons too
-  }
-
-
-  bool WeaponStation::addWeapon(BaseWeapon *weapon)
-  {
-    if (lastActiveSlotIndex_ = stationSize_ - 1)
-      return false;
-
-    // this is ugly, but for the time being, it has to fit.
-    slots_[++lastActiveSlotIndex_] = weapon;
-    selectedSlot_ = slots_ + lastActiveSlotIndex_;
-    return true;
-  }
-
-
-  BaseWeapon* WeaponStation::selectWeapon(int slotNumber)
-  {
-    if (slotNumber < lastActiveSlotIndex_)
-      return NULL;
-    return slots_[slotNumber];
-  }
-
-}
-}
Index: code/branches/FICN/src/orxonox/weapon/weapon_station.h
===================================================================
--- code/branches/FICN/src/orxonox/weapon/weapon_station.h	(revision 555)
+++ 	(revision )
@@ -1,69 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-
-#ifndef WEAPON_STATION_H
-#define WEAPON_STATION_H
-
-#include "OgrePrerequisites.h"
-
-#include "orxonox/orxonox_prerequisites.h"
-
-
-namespace orxonox {
-namespace weapon {
-
-  class WeaponStation
-  {
-  public:
-    WeaponStation(int slotSize);
-	  ~WeaponStation();
-
-    bool addWeapon(BaseWeapon*);
-
-    //bool removeCurrentWeapon();
-
-    // TODO: access every weapon by name
-    BaseWeapon* selectWeapon(int slotNumber);
-
-  protected:
-
-  public:
-
-  protected:
-    // slot management
-    BaseWeapon **slots_;
-    BaseWeapon **selectedSlot_;
-    int lastActiveSlotIndex_;
-    int stationSize_;
-
-  };
-
-}
-}
-
-#endif /* WEAPON_STATION_H */