Index: code/branches/FICN/src/orxonox/Flocking.h
===================================================================
--- code/branches/FICN/src/orxonox/Flocking.h	(revision 608)
+++ code/branches/FICN/src/orxonox/Flocking.h	(revision 609)
@@ -14,5 +14,4 @@
 #endif
 
-using namespace Ogre;
 
 class Element // An element that flocks
@@ -20,7 +19,7 @@
 
   public:
-    Vector3 location;  // locationvector of the element
-    Vector3 speed;  // speedvector of the element
-    Vector3 acceleration;  // accelerationvector of the element
+    Ogre::Vector3 location;  // locationvector of the element
+    Ogre::Vector3 speed;  // speedvector of the element
+    Ogre::Vector3 acceleration;  // accelerationvector of the element
     bool movable;  // movability of the element, (false) gives the possiblity that an object can`t be moved by flocking but still gets into the calculation
     static int const SEPERATIONDISTANCE = 300;  //detectionradius of seperation
@@ -38,5 +37,5 @@
 
   //constructor
-  Element(Vector3 location_, Vector3 speed_, Vector3 acceleration_, bool movable_) {
+  Element(Ogre::Vector3 location_, Ogre::Vector3 speed_, Ogre::Vector3 acceleration_, bool movable_) {
     acceleration = acceleration_;
     speed = speed_;
@@ -46,5 +45,5 @@
 
   //function to chance values of an element
-  void setValues(Vector3 location_, Vector3 speed_, Vector3 acceleration_, bool movable_) {
+  void setValues(Ogre::Vector3 location_, Ogre::Vector3 speed_, Ogre::Vector3 acceleration_, bool movable_) {
     acceleration = acceleration_;
     speed = speed_;
@@ -55,5 +54,5 @@
   //calculates the distance between the element and an other point given by temp
   float getDistance(Element temp) {
-    Vector3 distance = temp.location-location;
+    Ogre::Vector3 distance = temp.location-location;
     return distance.length();
   }
@@ -70,5 +69,6 @@
 
   //separation-function (keep elements separated, avoid crashs)
-  Vector3 separation(Element arrayOfElements[]) {
+  Ogre::Vector3 separation(Element arrayOfElements[]) {
+    using namespace Ogre;
     Vector3 steering = Vector3(0,0,0); //steeringvector
     Vector3 inverseDistance = Vector3(0,0,0);  //vector pointing away from possible collisions
@@ -95,5 +95,6 @@
 
   //alignment-function (lead elements to the same heading)
-  Vector3 alignment(Element arrayOfElements[]) {
+  Ogre::Vector3 alignment(Element arrayOfElements[]) {
+    using namespace Ogre;
     Vector3 steering = Vector3(0,0,0); //steeringvector
     int numberOfNeighbour = 0;  //number of observed neighbours
@@ -113,5 +114,6 @@
 
   //cohseion-function (keep elements close to each other)
-  Vector3 cohesion(Element arrayOfElements[]) {
+  Ogre::Vector3 cohesion(Element arrayOfElements[]) {
+    using namespace Ogre;
     Vector3 steering = Vector3(0,0,0); //steeringvector
     int numberOfNeighbour = 0;  //number of observed neighbours
Index: code/branches/FICN/src/orxonox/graphicsEngine.h
===================================================================
--- code/branches/FICN/src/orxonox/graphicsEngine.h	(revision 608)
+++ code/branches/FICN/src/orxonox/graphicsEngine.h	(revision 609)
@@ -14,5 +14,4 @@
 namespace orxonox {
 
-  using namespace Ogre;
 /**
    * graphics engine manager class
@@ -27,5 +26,5 @@
       bool load();
       void loadRessourceLocations(std::string path);
-      SceneManager* getSceneManager();
+      Ogre::SceneManager* getSceneManager();
       void startRender();
 
Index: code/branches/FICN/src/orxonox/hud/HUD.h
===================================================================
--- code/branches/FICN/src/orxonox/hud/HUD.h	(revision 608)
+++ code/branches/FICN/src/orxonox/hud/HUD.h	(revision 609)
@@ -7,5 +7,4 @@
 //#include <CEGUIRenderer.h>
 
-using namespace Ogre;
 
 namespace hud
@@ -17,20 +16,20 @@
   private:
 
-	OverlayElement* timeText_;
-	OverlayElement* targetWindowNameText_;
-	OverlayElement* targetWindowStatusText_;
-	OverlayElement* targetWindowDistanceText_;
-	OverlayElement* targetWindowHitRatingText_;
-	OverlayElement* energyLength_;
-	OverlayElement* shieldLeftTop_;
-	OverlayElement* shieldRightTop_;
-	OverlayElement* shieldLeftBottom_;
-	OverlayElement* shieldRightBottom_;
-	OverlayElement* rocketNum1_;
-	OverlayElement* rocketNum2_;
-	OverlayElement* rocketNum3_;
-	OverlayElement* rocketNum4_;
-	OverlayElement* energyDistrPoint_;
-	OverlayElement* primarChoice_;
+    Ogre::OverlayElement* timeText_;
+	Ogre::OverlayElement* targetWindowNameText_;
+	Ogre::OverlayElement* targetWindowStatusText_;
+	Ogre::OverlayElement* targetWindowDistanceText_;
+	Ogre::OverlayElement* targetWindowHitRatingText_;
+	Ogre::OverlayElement* energyLength_;
+	Ogre::OverlayElement* shieldLeftTop_;
+	Ogre::OverlayElement* shieldRightTop_;
+	Ogre::OverlayElement* shieldLeftBottom_;
+	Ogre::OverlayElement* shieldRightBottom_;
+	Ogre::OverlayElement* rocketNum1_;
+	Ogre::OverlayElement* rocketNum2_;
+	Ogre::OverlayElement* rocketNum3_;
+	Ogre::OverlayElement* rocketNum4_;
+	Ogre::OverlayElement* energyDistrPoint_;
+	Ogre::OverlayElement* primarChoice_;
 
 
@@ -41,6 +40,6 @@
 	int timeSec_;
 
-	String targetWindowName_;
-	String targetWindowStatus_;
+	Ogre::String targetWindowName_;
+	Ogre::String targetWindowStatus_;
 	int targetWindowDistance_;
 	int targetWindowHitRating_;
@@ -78,6 +77,6 @@
 
 	void setTime(int i, int j);
-	void setTargetWindowName(String i);
-	void setTargetWindowStatus(String i);
+	void setTargetWindowName(Ogre::String i);
+	void setTargetWindowStatus(Ogre::String i);
 	void setTargetWindowDistance(int i);
 	void setTargetWindowHitRating(int i);
Index: code/branches/FICN/src/orxonox/orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/orxonox.cc	(revision 608)
+++ code/branches/FICN/src/orxonox/orxonox.cc	(revision 609)
@@ -31,41 +31,24 @@
  */
 
-#include "orxonox.h"
-#include "graphicsEngine.h"
-
-//#include <Ogre.h>
-// 40% speed up: (instead of Ogre.h)
-#include <OgreSceneNode.h>
-#include <OgreSceneManager.h>
+//****** OGRE ******
+#include <OgreString.h>
+#include <OgreException.h>
 #include <OgreRoot.h>
 #include <OgreFrameListener.h>
+#include <OgreRenderWindow.h>
+#include <OgreTextureManager.h>
+#include <OgreResourceGroupManager.h>
 #include <OgreConfigFile.h>
-#include <OgreTextureManager.h>
-#include <OgreEntity.h>
-#include <OgreRenderWindow.h>
-
+#include <OgreOverlay.h>
+#include <OgreOverlayManager.h>
+
+//****** OIS *******
 #include <OIS/OIS.h>
-//#include <CEGUI/CEGUI.h>
-//#include <OgreCEGUIRenderer.h>
-
+
+//****** STD *******
 #include <string>
 #include <iostream>
 
-#include "objects/Tickable.h"
-#include "objects/Timer.h"
-#include "core/ArgReader.h"
-#include "core/Factory.h"
-#include "core/Debug.h"
-
-#include "../loader/LevelLoader.h"
-#include "../audio/AudioManager.h"
-
-#include "hud/HUD.h"
-
-//network stuff
-#include "../network/Server.h"
-#include "../network/Client.h"
-#include "../network/NetworkFrameListener.h"
-
+// hack for the usleep/Sleep problem
 #ifdef WIN32
 #include <windows.h>
@@ -75,9 +58,31 @@
 #endif
 
+//***** ORXONOX ****
+// loader and audio
+#include "loader/LevelLoader.h"
+#include "audio/AudioManager.h"
+
+// network
+#include "../network/Server.h"
+#include "../network/Client.h"
+#include "../network/NetworkFrameListener.h"
+
+// objects
+#include "objects/Tickable.h"
+#include "objects/Timer.h"
+#include "core/ArgReader.h"
+#include "core/Factory.h"
+#include "core/Debug.h"
+#include "hud/HUD.h"
+
+#include "graphicsEngine.h"
+#include "orxonox.h"
+
+
 namespace orxonox
 {
   using namespace Ogre;
 
-   // put this in seperate Class or solve the problem in another fashion
+   // put this in a seperate Class or solve the problem in another fashion
   class OrxListener : public FrameListener
   {
@@ -331,7 +336,7 @@
         archName = i->second;
 #if OGRE_PLATFORM == OGRE_PLATFORM_APPLE
-        Ogre::ResourceGroupManager::getSingleton().addResourceLocation( String(macBundlePath() + "/" + archName), typeName, secName);
+        ResourceGroupManager::getSingleton().addResourceLocation( String(macBundlePath() + "/" + archName), typeName, secName);
 #else
-        Ogre::ResourceGroupManager::getSingleton().addResourceLocation( archName, typeName, secName);
+        ResourceGroupManager::getSingleton().addResourceLocation( archName, typeName, secName);
 #endif
       }
@@ -413,5 +418,5 @@
     std::ostringstream windowHndStr;
     OIS::ParamList pl;
-    Ogre::RenderWindow *win = ogre_->getRoot()->getAutoCreatedWindow();
+    RenderWindow *win = ogre_->getRoot()->getAutoCreatedWindow();
 
     win->getCustomAttribute("WINDOW", &windowHnd);
Index: code/branches/FICN/src/orxonox/orxonox.h
===================================================================
--- code/branches/FICN/src/orxonox/orxonox.h	(revision 608)
+++ code/branches/FICN/src/orxonox/orxonox.h	(revision 609)
@@ -8,5 +8,5 @@
 #define ORXONOX_H
 
-//#include <OgreSingleton.h>
+#include <OgrePrerequisites.h>
 #include <OgreSceneManager.h>
 #include <OIS/OIS.h>
@@ -39,5 +39,5 @@
       void die(/* some error code */);
       static Orxonox* getSingleton();
-      inline SceneManager* getSceneManager() { return ogre_->getSceneManager(); };
+      inline Ogre::SceneManager* getSceneManager() { return ogre_->getSceneManager(); };
       inline GraphicsEngine* getOgrePointer() { return ogre_; };
       inline audio::AudioManager* getAudioManagerPointer() { return auMan_; };
Index: code/branches/FICN/src/orxonox/particle/ParticleInterface.h
===================================================================
--- code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 608)
+++ code/branches/FICN/src/orxonox/particle/ParticleInterface.h	(revision 609)
@@ -8,5 +8,4 @@
 // #include <CEGUIRenderer.h>
 
-using namespace Ogre;
 
 namespace particle
@@ -16,33 +15,33 @@
 {
  public:
-	ParticleSystem *particleSystem_;
+	Ogre::ParticleSystem *particleSystem_;
 
-	ParticleInterface( SceneManager *sceneManager, String name, String templateName );
+	ParticleInterface( Ogre::SceneManager *sceneManager, Ogre::String name, Ogre::String templateName );
 	~ParticleInterface( void );
-	void addToSceneNode( SceneNode* sceneNode );
+	void addToSceneNode( Ogre::SceneNode* sceneNode );
 	void dettachFromSceneNode( void );
-	ParticleEmitter* getEmitter ( int emitterNr );
+	Ogre::ParticleEmitter* getEmitter ( int emitterNr );
 	void newEmitter ( void );
-	void setPositionOfEmitter ( int emitterNr, Vector3 position );
-	Vector3 getPositionOfEmitter ( int emitterNr );
-	void setDirection ( Vector3 direction );
-	Vector3 getDirection ( void );
-	Real getVelocity();
-	void setVelocity( Real v );
+	void setPositionOfEmitter ( int emitterNr, Ogre::Vector3 position );
+	Ogre::Vector3 getPositionOfEmitter ( int emitterNr );
+	void setDirection ( Ogre::Vector3 direction );
+	Ogre::Vector3 getDirection ( void );
+	Ogre::Real getVelocity();
+	void setVelocity( Ogre::Real v );
 	int getRate();
 	void setRate( int r );
-	Real getDistance();
-	void setDistance( Real d );
-	ColourValue getColour( void );
-	void setColour( ColourValue colour );
+	Ogre::Real getDistance();
+	void setDistance( Ogre::Real d );
+	Ogre::ColourValue getColour( void );
+	void setColour( Ogre::ColourValue colour );
 	void switchEnable( void );
 
  private:
-	SceneNode *sceneNode_;
-	SceneManager *sceneManager_;
-	Real distance_;
-	Real velocity_;
+	Ogre::SceneNode *sceneNode_;
+	Ogre::SceneManager *sceneManager_;
+	Ogre::Real distance_;
+	Ogre::Real velocity_;
 	int rate_;
-	ColourValue colour_;
+	Ogre::ColourValue colour_;
 	int numberOfEmitters_;
 