Index: code/branches/FICN/src/orxonox/GraphicsEngine.h
===================================================================
--- code/branches/FICN/src/orxonox/GraphicsEngine.h	(revision 613)
+++ code/branches/FICN/src/orxonox/GraphicsEngine.h	(revision 614)
@@ -1,4 +1,4 @@
 /**
-  @file graphicsEngine.h
+  @file GraphicsEngine.h
   @brief Graphics Engine
   @author Benjamin Knecht <beni_at_orxonox.net>
Index: code/branches/FICN/src/orxonox/Main.cc
===================================================================
--- code/branches/FICN/src/orxonox/Main.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/Main.cc	(revision 614)
@@ -27,5 +27,5 @@
 
  /**
- @file  main.cc
+ @file  Main.cc
  @brief main file handling most of the machine specific code
   */
@@ -36,5 +36,5 @@
 
 #include "core/SignalHandler.h"
-#include "orxonox.h"
+#include "Orxonox.h"
 
 using namespace orxonox;
Index: code/branches/FICN/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/Orxonox.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/Orxonox.cc	(revision 614)
@@ -68,5 +68,5 @@
 #include "hud/HUD.h"
 
-#include "graphicsEngine.h"
+#include "GraphicsEngine.h"
 #include "Orxonox.h"
 
Index: code/branches/FICN/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 614)
@@ -29,5 +29,5 @@
 #include <string>
 
-#include "../orxonox.h"
+#include "../Orxonox.h"
 #include "../../tinyxml/tinyxml.h"
 #include "../../misc/Tokenizer.h"
Index: code/branches/FICN/src/orxonox/objects/BaseEntity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/BaseEntity.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/BaseEntity.cc	(revision 614)
@@ -2,5 +2,5 @@
 #include <string>
 
-#include "../orxonox.h"
+#include "../Orxonox.h"
 #include "../../tinyxml/tinyxml.h"
 #include "../../misc/Tokenizer.h"
Index: code/branches/FICN/src/orxonox/objects/Camera.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 614)
@@ -6,6 +6,6 @@
 #include <string>
 
-#include "../orxonox.h"
-#include "../graphicsEngine.h"
+#include "../Orxonox.h"
+#include "../GraphicsEngine.h"
 #include "../../tinyxml/tinyxml.h"
 #include "../../misc/Tokenizer.h"
Index: code/branches/FICN/src/orxonox/objects/Entity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Entity.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/Entity.cc	(revision 614)
@@ -2,5 +2,5 @@
 #include <string>
 
-#include "../orxonox.h"
+#include "../Orxonox.h"
 #include "../../tinyxml/tinyxml.h"
 #include "../../misc/Tokenizer.h"
Index: code/branches/FICN/src/orxonox/objects/Mesh.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Mesh.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/Mesh.cc	(revision 614)
@@ -2,5 +2,5 @@
 
 #include "Mesh.h"
-#include "../orxonox.h"
+#include "../Orxonox.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/Model.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Model.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/Model.cc	(revision 614)
@@ -3,5 +3,5 @@
 #include "Model.h"
 #include "../core/CoreIncludes.h"
-#include "../orxonox.h"
+#include "../Orxonox.h"
 #include "../../tinyxml/tinyxml.h"
 #include "../../misc/Tokenizer.h"
Index: code/branches/FICN/src/orxonox/objects/SceneNode.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SceneNode.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/SceneNode.cc	(revision 614)
@@ -2,5 +2,5 @@
 #include <string>
 
-#include "../orxonox.h"
+#include "../Orxonox.h"
 #include "../../tinyxml/tinyxml.h"
 #include "../../misc/Tokenizer.h"
Index: code/branches/FICN/src/orxonox/objects/Skybox.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 614)
@@ -29,5 +29,5 @@
 #include <string>
 
-#include "../orxonox.h"
+#include "../Orxonox.h"
 #include "../../tinyxml/tinyxml.h"
 #include "../../misc/Tokenizer.h"
Index: code/branches/FICN/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 614)
@@ -31,5 +31,5 @@
 #include "../../misc/String2Number.h"
 #include "../core/CoreIncludes.h"
-#include "../orxonox.h"
+#include "../Orxonox.h"
 
 #include "OgreCamera.h"
Index: code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 614)
@@ -6,6 +6,6 @@
 #include <string>
 
-#include "../orxonox.h"
-#include "../graphicsEngine.h"
+#include "../Orxonox.h"
+#include "../GraphicsEngine.h"
 #include "../../tinyxml/tinyxml.h"
 #include "../../misc/Tokenizer.h"
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 614)
@@ -31,5 +31,5 @@
 #include "WorldEntity.h"
 #include "../core/CoreIncludes.h"
-#include "../orxonox.h"
+#include "../Orxonox.h"
 #include "../../tinyxml/tinyxml.h"
 #include "../../misc/Tokenizer.h"
Index: code/branches/FICN/src/orxonox/objects/test1.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/test1.cc	(revision 613)
+++ code/branches/FICN/src/orxonox/objects/test1.cc	(revision 614)
@@ -3,5 +3,5 @@
 #include "test3.h"
 #include "../../tinyxml/tinyxml.h"
-#include "../orxonox.h"
+#include "../Orxonox.h"
 #include <OgreSceneManager.h>
 