Index: code/branches/FICN/src/orxonox/objects/Model.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Model.cc	(revision 621)
+++ code/branches/FICN/src/orxonox/objects/Model.cc	(revision 622)
@@ -25,9 +25,9 @@
         WorldEntity::loadParams(xmlElem);
 
-    	if (xmlElem->Attribute("mesh"))
-    	{
-    		std::string src = xmlElem->Attribute("mesh");
-    		this->mesh_.setMesh(src);
-		    this->attachObject(this->mesh_.getEntity());
+        if (xmlElem->Attribute("mesh"))
+        {
+            std::string src = xmlElem->Attribute("mesh");
+            this->mesh_.setMesh(src);
+            this->attachObject(this->mesh_.getEntity());
         }
 
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 621)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 622)
@@ -82,28 +82,28 @@
         BaseObject::loadParams(xmlElem);
 
-    	if (xmlElem->Attribute("name"))
-    	{
-    		this->setName(xmlElem->Attribute("mesh"));
-    	}
+        if (xmlElem->Attribute("name"))
+        {
+            this->setName(xmlElem->Attribute("mesh"));
+        }
 
-    	if (xmlElem->Attribute("position"))
-    	{
-	    	std::vector<std::string> pos = tokenize(xmlElem->Attribute("position"),",");
-	    	float x, y, z;
-    	 	String2Number<float>(x, pos[0]);
-	    	String2Number<float>(y, pos[1]);
-	    	String2Number<float>(z, pos[2]);
-	    	this->setPosition(x, y, z);
-    	}
+        if (xmlElem->Attribute("position"))
+        {
+            std::vector<std::string> pos = tokenize(xmlElem->Attribute("position"),",");
+            float x, y, z;
+            String2Number<float>(x, pos[0]);
+            String2Number<float>(y, pos[1]);
+            String2Number<float>(z, pos[2]);
+            this->setPosition(x, y, z);
+        }
 
-    	if (xmlElem->Attribute("direction"))
-    	{
-	    	std::vector<std::string> pos = tokenize(xmlElem->Attribute("direction"),",");
-	    	float x, y, z;
-    	 	String2Number<float>(x, pos[0]);
-	    	String2Number<float>(y, pos[1]);
-	    	String2Number<float>(z, pos[2]);
-	    	this->setDirection(x, y, z);
-    	}
+        if (xmlElem->Attribute("direction"))
+        {
+            std::vector<std::string> pos = tokenize(xmlElem->Attribute("direction"),",");
+            float x, y, z;
+            String2Number<float>(x, pos[0]);
+            String2Number<float>(y, pos[1]);
+            String2Number<float>(z, pos[2]);
+            this->setDirection(x, y, z);
+        }
 
         if (xmlElem->Attribute("yaw") || xmlElem->Attribute("pitch") || xmlElem->Attribute("roll"))
@@ -124,11 +124,31 @@
         }
 
-    	if (xmlElem->Attribute("scale"))
-    	{
-		    std::string scaleStr = xmlElem->Attribute("scale");
-		    float scale;
-		    String2Number<float>(scale, scaleStr);
-		    this->setScale(scale);
-    	}
+        if (xmlElem->Attribute("scale"))
+        {
+            std::string scaleStr = xmlElem->Attribute("scale");
+            float scale;
+            String2Number<float>(scale, scaleStr);
+            this->setScale(scale);
+        }
+
+        if (xmlElem->Attribute("rotationAxis"))
+        {
+            std::vector<std::string> pos = tokenize(xmlElem->Attribute("rotationAxis"),",");
+            float x, y, z;
+            String2Number<float>(x, pos[0]);
+            String2Number<float>(y, pos[1]);
+            String2Number<float>(z, pos[2]);
+            this->setRotationAxis(x, y, z);
+        }
+
+        if (xmlElem->Attribute("rotationRate"))
+        {
+            float rotationRate;
+            String2Number<float>(rotationRate, xmlElem->Attribute("rotationRate"));
+            this->setRotationRate(Degree(rotationRate));
+            if (rotationRate != 0)
+                this->setStatic(false);
+        }
+
     }
 
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 621)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 622)
@@ -123,4 +123,9 @@
           { return this->node_->getOrientation(); }
 
+      inline void setStatic(bool bStatic)
+          { this->bStatic_ = bStatic; }
+      inline bool isStatic()
+          { return this->bStatic_; }
+
     protected:
       void registerAllVariables();